<?php

// Require
require_once 'Illuminate/Console/autoload.php';
require_once 'Illuminate/Container/autoload.php';
require_once 'Illuminate/Contracts/autoload.php';
require_once 'Illuminate/Database/autoload.php';
require_once 'Illuminate/Filesystem/autoload.php';
require_once 'Illuminate/Pipeline/autoload.php';
require_once 'Illuminate/Support/autoload.php';
require_once 'Opis/Closure/autoload.php';
require_once 'Symfony/Component/Debug/autoload.php';
require_once 'Symfony/Component/Process/autoload.php';

// Suggest
# Missing: aws/aws-sdk-php
# Missing: pda/pheanstalk
if (stream_resolve_include_path('Illuminate/Redis/autoload.php')) { include_once 'Illuminate/Redis/autoload.php'; }

// Files


// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'illuminate\\queue\\beanstalkdqueue' => '/BeanstalkdQueue.php',
                'illuminate\\queue\\callqueuedclosure' => '/CallQueuedClosure.php',
                'illuminate\\queue\\callqueuedhandler' => '/CallQueuedHandler.php',
                'illuminate\\queue\\capsule\\manager' => '/Capsule/Manager.php',
                'illuminate\\queue\\connectors\\beanstalkdconnector' => '/Connectors/BeanstalkdConnector.php',
                'illuminate\\queue\\connectors\\connectorinterface' => '/Connectors/ConnectorInterface.php',
                'illuminate\\queue\\connectors\\databaseconnector' => '/Connectors/DatabaseConnector.php',
                'illuminate\\queue\\connectors\\nullconnector' => '/Connectors/NullConnector.php',
                'illuminate\\queue\\connectors\\redisconnector' => '/Connectors/RedisConnector.php',
                'illuminate\\queue\\connectors\\sqsconnector' => '/Connectors/SqsConnector.php',
                'illuminate\\queue\\connectors\\syncconnector' => '/Connectors/SyncConnector.php',
                'illuminate\\queue\\console\\failedtablecommand' => '/Console/FailedTableCommand.php',
                'illuminate\\queue\\console\\flushfailedcommand' => '/Console/FlushFailedCommand.php',
                'illuminate\\queue\\console\\forgetfailedcommand' => '/Console/ForgetFailedCommand.php',
                'illuminate\\queue\\console\\listencommand' => '/Console/ListenCommand.php',
                'illuminate\\queue\\console\\listfailedcommand' => '/Console/ListFailedCommand.php',
                'illuminate\\queue\\console\\restartcommand' => '/Console/RestartCommand.php',
                'illuminate\\queue\\console\\retrycommand' => '/Console/RetryCommand.php',
                'illuminate\\queue\\console\\tablecommand' => '/Console/TableCommand.php',
                'illuminate\\queue\\console\\workcommand' => '/Console/WorkCommand.php',
                'illuminate\\queue\\databasequeue' => '/DatabaseQueue.php',
                'illuminate\\queue\\events\\jobexceptionoccurred' => '/Events/JobExceptionOccurred.php',
                'illuminate\\queue\\events\\jobfailed' => '/Events/JobFailed.php',
                'illuminate\\queue\\events\\jobprocessed' => '/Events/JobProcessed.php',
                'illuminate\\queue\\events\\jobprocessing' => '/Events/JobProcessing.php',
                'illuminate\\queue\\events\\looping' => '/Events/Looping.php',
                'illuminate\\queue\\events\\workerstopping' => '/Events/WorkerStopping.php',
                'illuminate\\queue\\failed\\databasefailedjobprovider' => '/Failed/DatabaseFailedJobProvider.php',
                'illuminate\\queue\\failed\\dynamodbfailedjobprovider' => '/Failed/DynamoDbFailedJobProvider.php',
                'illuminate\\queue\\failed\\failedjobproviderinterface' => '/Failed/FailedJobProviderInterface.php',
                'illuminate\\queue\\failed\\nullfailedjobprovider' => '/Failed/NullFailedJobProvider.php',
                'illuminate\\queue\\interactswithqueue' => '/InteractsWithQueue.php',
                'illuminate\\queue\\invalidpayloadexception' => '/InvalidPayloadException.php',
                'illuminate\\queue\\jobs\\beanstalkdjob' => '/Jobs/BeanstalkdJob.php',
                'illuminate\\queue\\jobs\\databasejob' => '/Jobs/DatabaseJob.php',
                'illuminate\\queue\\jobs\\databasejobrecord' => '/Jobs/DatabaseJobRecord.php',
                'illuminate\\queue\\jobs\\job' => '/Jobs/Job.php',
                'illuminate\\queue\\jobs\\jobname' => '/Jobs/JobName.php',
                'illuminate\\queue\\jobs\\redisjob' => '/Jobs/RedisJob.php',
                'illuminate\\queue\\jobs\\sqsjob' => '/Jobs/SqsJob.php',
                'illuminate\\queue\\jobs\\syncjob' => '/Jobs/SyncJob.php',
                'illuminate\\queue\\listener' => '/Listener.php',
                'illuminate\\queue\\listeneroptions' => '/ListenerOptions.php',
                'illuminate\\queue\\luascripts' => '/LuaScripts.php',
                'illuminate\\queue\\manuallyfailedexception' => '/ManuallyFailedException.php',
                'illuminate\\queue\\maxattemptsexceededexception' => '/MaxAttemptsExceededException.php',
                'illuminate\\queue\\nullqueue' => '/NullQueue.php',
                'illuminate\\queue\\queue' => '/Queue.php',
                'illuminate\\queue\\queuemanager' => '/QueueManager.php',
                'illuminate\\queue\\queueserviceprovider' => '/QueueServiceProvider.php',
                'illuminate\\queue\\redisqueue' => '/RedisQueue.php',
                'illuminate\\queue\\serializableclosure' => '/SerializableClosure.php',
                'illuminate\\queue\\serializesandrestoresmodelidentifiers' => '/SerializesAndRestoresModelIdentifiers.php',
                'illuminate\\queue\\serializesmodels' => '/SerializesModels.php',
                'illuminate\\queue\\sqsqueue' => '/SqsQueue.php',
                'illuminate\\queue\\syncqueue' => '/SyncQueue.php',
                'illuminate\\queue\\worker' => '/Worker.php',
                'illuminate\\queue\\workeroptions' => '/WorkerOptions.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);